using Microsoft.AspNetCore.Authorization;

using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using MTWorkHR.Application.Filters;
using MTWorkHR.Application.Identity;
using MTWorkHR.Application.Models;
using MTWorkHR.Application.Services;
using MTWorkHR.Application.Services.Interfaces;
using MTWorkHR.Core.Entities;

namespace MTWorkHR.API.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    //[AppAuthorize]
    public class LogController : ControllerBase
    {
        private readonly ILogService<UserLog> _logService;
        public LogController(ILogService<UserLog> CompanyService) 
        {
            this._logService = CompanyService;
        }
        [HttpGet("GetAll")]
        public async Task<ActionResult<List<UserLog>>> GetAll([FromQuery] PagingInputDto pagingInput)
        {
            return Ok( await _logService.GetAll(pagingInput));
        }
       
       
    }
}
